Create a new payment link (Partner or Merchant authentication)
curl --request POST \
--url https://core.quidkey.com/api/v1/payment-links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"order": {
"amount": 1000,
"currency": "GBP",
"payment_reference": "Invoice #123",
"order_id": "ORD-123456",
"locale": "en",
"test_transaction": true
},
"redirect_urls": {
"success_url": "https://example.com/payment/success",
"failure_url": "https://example.com/payment/failure"
}
}
'import requests
url = "https://core.quidkey.com/api/v1/payment-links"
payload = {
"order": {
"amount": 1000,
"currency": "GBP",
"payment_reference": "Invoice #123",
"order_id": "ORD-123456",
"locale": "en",
"test_transaction": True
},
"redirect_urls": {
"success_url": "https://example.com/payment/success",
"failure_url": "https://example.com/payment/failure"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
order: {
amount: 1000,
currency: 'GBP',
payment_reference: 'Invoice #123',
order_id: 'ORD-123456',
locale: 'en',
test_transaction: true
},
redirect_urls: {
success_url: 'https://example.com/payment/success',
failure_url: 'https://example.com/payment/failure'
}
})
};
fetch('https://core.quidkey.com/api/v1/payment-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"payment_link_url": "https://core.quidkey.com/payment-link/a1b2c3d4e5f6..."
}
}{
"success": false,
"error": {
"message": "Invalid input provided"
}
}{
"success": false,
"error": {
"message": "Invalid input provided"
}
}Payment Links
Create a new payment link (Partner or Merchant authentication)
Create a new payment link (Partner or Merchant authentication)
POST
/
api
/
v1
/
payment-links
Create a new payment link (Partner or Merchant authentication)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request body
Initiate a payment for an embedded flow using payment_token (query or body) and selected bankList payment links with context-aware access control
⌘I